import { ChangeDetectorRef, EventEmitter, OnChanges, OnInit, SimpleChanges } from '@angular/core';
import { WeekDay } from '@angular/common';
import { ControlValueAccessor } from '@angular/forms';
import { DatepickerView } from './datepicker-view';
import { ZoomDirection } from '../util/zoom.animation';
export declare class DatepickerComponent implements ControlValueAccessor, OnChanges, OnInit {
    private cd;
    date: Date;
    dateChange: EventEmitter<Date>;
    min: Date;
    max: Date;
    deselectEnabled: boolean;
    yearFormat: string;
    headingFormat: string;
    firstWeekDay: WeekDay;
    dayLabels: string[];
    weekDayLabels: string[];
    monthLabels: string[];
    selectedDate: Date;
    currentDate: Date;
    initialDate: Date;
    zoomDirection: ZoomDirection;
    view: DatepickerView;
    readonly DatepickerView: typeof DatepickerView;
    private onChange;
    private onTouched;
    constructor(cd: ChangeDetectorRef);
    ngOnChanges(changes: SimpleChanges): void;
    ngOnInit(): void;
    selectDay(date: Date): void;
    switchView(date: Date, view: DatepickerView, direction: ZoomDirection): void;
    writeValue(obj: any): void;
    registerOnChange(fn: any): void;
    registerOnTouched(fn: any): void;
    setDisabledState(isDisabled: boolean): void;
}
