import { EventEmitter, OnChanges, SimpleChanges } from '@angular/core';
import { WeekDay } from '@angular/common';
import { DaysPane } from './days-pane';
import { ZoomDirection } from '../util/zoom.animation';
export declare class DaysViewComponent implements OnChanges {
    private locale;
    zoomDirection: ZoomDirection;
    selectedDate: Date;
    currentDate: Date;
    initialDate: Date;
    minDate: Date;
    maxDate: Date;
    deselectEnabled: boolean;
    headingFormat: string;
    firstWeekDay: WeekDay;
    weekDayLabels: string[];
    dayLabels: string[];
    readonly dateChange: EventEmitter<Date>;
    readonly headerClick: EventEmitter<Date>;
    selectedDay: number;
    selectedMonthTime: number;
    currentDay: number;
    currentMonthTime: number;
    minDay: number;
    minMonthTime: number;
    maxDay: number;
    maxMonthTime: number;
    panes: Array<DaysPane>;
    prevDisabled: boolean;
    nextDisabled: boolean;
    private visiblePaneIndex;
    constructor(locale: string);
    ngOnChanges(changes: SimpleChanges): void;
    trackContent(index: number): number;
    clickHeader(notPanning: boolean): void;
    selectItem(event: MouseEvent, monthDate: Date, notPanning: boolean): void;
    switchPanes(direction: number): void;
    private initPanes(date);
    private updateDisabledStatus(prevIndex, nextIndex);
}
