import { EventEmitter, OnChanges, SimpleChanges } from '@angular/core';
import { MonthsPane } from './months-pane';
import { ZoomDirection } from '../util/zoom.animation';
export declare class MonthsViewComponent implements OnChanges {
    private locale;
    zoomDirection: ZoomDirection;
    selectedDate: Date;
    currentDate: Date;
    initialDate: Date;
    minDate: Date;
    maxDate: Date;
    yearFormat: string;
    monthLabels: string[];
    readonly dateChange: EventEmitter<Date>;
    readonly headerClick: EventEmitter<Date>;
    selectedMonthNumber: number;
    selectedYearTime: number;
    currentMonthNumber: number;
    currentYearTime: number;
    minMonthNumber: number;
    minYearTime: number;
    maxMonthNumber: number;
    maxYearTime: number;
    panes: Array<MonthsPane>;
    prevDisabled: boolean;
    nextDisabled: boolean;
    private visiblePaneIndex;
    constructor(locale: string);
    ngOnChanges(changes: SimpleChanges): void;
    trackContent(index: number): number;
    clickHeader(notPanning: boolean): void;
    selectItem(event: MouseEvent, yearDate: Date, notPanning: boolean): void;
    switchPanes(direction: number): void;
    private initPanes(date);
    private updateDisabledStatus(prevIndex, nextIndex);
}
